summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/taler-deployment6
-rwxr-xr-xbuildbot/wallet-integrationtests.sh10
2 files changed, 10 insertions, 6 deletions
diff --git a/bin/taler-deployment b/bin/taler-deployment
index b4c74c5..11b0103 100755
--- a/bin/taler-deployment
+++ b/bin/taler-deployment
@@ -365,12 +365,6 @@ def get_repos(envname):
build_wallet,
),
Repo(
- "twister",
- "git://git.taler.net/twister",
- ["gnunet", "libmicrohttpd"],
- build_twister,
- ),
- Repo(
"exchange",
"git://git.taler.net/exchange",
["gnunet", "libmicrohttpd", "twister","wallet-core"],
diff --git a/buildbot/wallet-integrationtests.sh b/buildbot/wallet-integrationtests.sh
new file mode 100755
index 0000000..63322f0
--- /dev/null
+++ b/buildbot/wallet-integrationtests.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+# Runs simple withdraw+spend test at the running demo.taler.net
+# serice. Usually run from within the demo-$color itself, in order
+# to easily read the merchant token from the environment.
+set -eu
+
+source "${HOME}/activate"
+taler-deployment build
+taler-wallet-cli testing run-integrationtests